<?php

// status Position

foreach ($_POST["value"] as $key => $value) {

    $data["s_pos"] = $key + 1;

    updatePosition($data, $value);

}



// echo "Position Saved";



function updatePosition($data, $id) {



    include "../../db.php";



    if(array_key_exists("s_id", $data)){

        $data["s_id"] = $this->real_escape_string($data["s_id"]);

    }

    foreach ($data as $key => $value) {

        $value="'$value'";

        $updates[]="$key = $value";

    }

    $imploadAray=  implode(",", $updates);



    $query = "UPDATE status SET $imploadAray WHERE s_id = '$id'";



    // echo '<pre>';print_r($query);exit();



    $result = mysqli_query($con, $query) or die(mysqli_error($con));

    if ($result) {

        return "status is position";

    } else {

        return "Error while updating position";

    }

}

?>